u16suzuの blog

u16suzu のブログです。

rubytter が動かなかった。

以下を動かしてみました。

require 'rubygems'
require 'rubytter'

rubytter=Rubytter.new('u16suzu','ほげほげ')
rubytter.update('hi')

以下のエラーが発生しますた。

C:/Program Files/ruby-1.8/lib/ruby/gems/1.8/gems
/rubytter-1.4.2/lib/rubytter.rb:241:in 
`http_request': Rubytter::APIError 
(Rubytter::APIError)

ぐぐったら、Basic認証が出来なくなっていた模様。
そういえば、そんなことあったな〜。

http://blog.twitter.jp/2010/04/blog-post_30.html

Basicの代わりにOAuth認証でやらんといかん。続きは明日やろう。

http://d.hatena.ne.jp/shibason/20090802/1249204953